Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class UnNormalizerOutputPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.OutputConverterPlugIn
              org.joone.util.UnNormalizerOutputPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class UnNormalizerOutputPlugIn

extends OutputConverterPlugIn

UnNormalizes the input data within a predefined range. To enable the UnNormalizer to find the min and max within the input data specify zero values for setInDataMin and setInDataMax. To set user defined values for the input data max and min in a serie then specify non-zero values for setInDataMin and setInDataMax.

The PlugIn supports two modes - Buffered and UnBuffered.

Buffered Mode

If the StreamOutputSynapse that this PlugIn is attached to is in buffered mode then the PlugIn can either search for input data min/max values if getInDataMin()==0 and getInDataMax()==0 or if either of these methods returns a non-zero value then it will use these values.

UnBuffered Mode

If the StreamOutputSynapse that this PlugIn is attached to is not in buffered mode then one of the methods `setInDataMin` or `setInDataMax` should have been called with a non-zero value. If this is not the case then this converter will not convert any data.

Author:
  Julien Norman
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`UnNormalizerOutputPlugIn()` The default UnNormalizerOutputPlugIn constructor.
`UnNormalizerOutputPlugIn(java.lang.String newAdvSerieSel, double newInDataMin, double newInDataMax, double newOutDataMin, double newOutDataMax)` This constructor enables a new UnNormalizerOutputPlugin to be fully constructed during initialisation.

Method Summary
`protected void` | `convert_pattern(int serie)` Converts a pattern indicated by getPattern() method.
`protected boolean` | `convert(int serie)` Provides buffer conversion support by converting the patterns in the buffer returned by getInputVector().
`double` | `getInDataMax()` Gets the max value of the input data set
`double` | `getInDataMin()` Gets the min value of the input data set
`double` | `getOutDataMax()` Gets the max output value
`double` | `getOutDataMin()` Gets the min output value
`void` | `setInDataMax(double newMax)` Sets the max value of the input data set
`void` | `setInDataMin(double newMin)` Sets the min value of the input data set
`void` | `setOutDataMax(double newMax)` Sets the new max value for the output data set.
`void` | `setOutDataMin(double newMin)` Sets the new min value for the output data set.

Methods inherited from class org.joone.util.OutputConverterPlugIn
`addOutputPluginListener, convertAllPatterns, convertPattern, getPattern, removeOutputPluginListener, setPattern`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### UnNormalizerOutputPlugIn

    public UnNormalizerOutputPlugIn()

  The default UnNormalizerOutputPlugIn constructor.

### UnNormalizerOutputPlugIn

    public UnNormalizerOutputPlugIn(java.lang.String newAdvSerieSel,
                                    double newInDataMin,
                                    double newInDataMax,
                                    double newOutDataMin,
                                    double newOutDataMax)

  This constructor enables a new UnNormalizerOutputPlugin to be fully constructed during initialisation. The format of the Advanced Serie Selector parameter newAdvSerieSel can be found in the javadoc documentation for `setAdvancedSerieSelector` in the OutputConverterPlugIn class.

  Parameters:
    `newAdvSerieSel` - The new range of serie that should be converted by this plugin.
    `newInDataMin` - The minimum value to be found in the input data.
    `newInDataMax` - The maximum value to be found in the input data.
    `newOutDataMin` - The minimum value of the unnormalised output data.
    `newOutDataMax` - The maximum value of the unnormalised output data.

Method Detail

### getOutDataMax

    public double getOutDataMax()

  Gets the max output value

  Returns:
    double The max output value

### getOutDataMin

    public double getOutDataMin()

  Gets the min output value

  Returns:
    double The min output value

### setOutDataMax

    public void setOutDataMax(double newMax)

  Sets the new max value for the output data set.

  Parameters:
    `newMax` - double The new max value of the output data serie.

### setOutDataMin

    public void setOutDataMin(double newMin)

  Sets the new min value for the output data set.

  Parameters:
    `newMin` - double The new min value of the output data serie.

### getInDataMax

    public double getInDataMax()

  Gets the max value of the input data set

  Returns:
    double The max value of the input data set

### getInDataMin

    public double getInDataMin()

  Gets the min value of the input data set

  Returns:
    double The min value of the input data set

### setInDataMax

    public void setInDataMax(double newMax)

  Sets the max value of the input data set

  Parameters:
    `newMax` - double The new max value of the input data serie.

### setInDataMin

    public void setInDataMin(double newMin)

  Sets the min value of the input data set

  Parameters:
    `newMin` - double The new min value of the input data serie.

### convert

    protected boolean convert(int serie)

  Provides buffer conversion support by converting the patterns in the buffer returned by getInputVector(). If both getInDataMax and getInDataMin return 0 then this method will search for the min/max values in the input data serie and it will use these values together with the methods getOutDataMin and getOutDataMax to UnNormalize the serie.

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - The data serie with in the buffered patterns to convert.

### convert_pattern

    protected void convert_pattern(int serie)

  Converts a pattern indicated by getPattern() method. Only if one of the methods setInDataMin and setInDataMax have been called with non-zero values. Note : No conversion will be perfomed if both getInDataMin()==0 and getInDataMax()==0.

  Specified by:
    `convert_pattern` in class `OutputConverterPlugIn`
  Parameters:
    `serie` - The data serie with in the buffered patterns to convert.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net